Bug 106080 - Find and replace by format, font color "Automatic" is not accepted except after changing to another color
Summary: Find and replace by format, font color "Automatic" is not accepted except aft...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords: bibisected, regression
Depends on:
Blocks: Find-Search 105497
  Show dependency treegraph
 
Reported: 2017-02-18 18:24 UTC by Buovjaga
Modified: 2017-04-05 14:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2017-02-18 18:24:27 UTC
1. Find and replace
2. While in Find field, Other options, Format
3. Font effects tab, change color to Automatic, OK
4. Notice it did not change (no label under the field). Do it again, but choose a different color, OK.
5. Now do it a third time and change to Automatic.

It works OK in 3.6.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.3
Build ID: 5.3.0-2
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 7ec0500e20cf273d70c4fbddb4063b8f8295307c
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 18th 2016

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 1 Buovjaga 2017-02-18 18:25:52 UTC
Note that due to bug 106079, the Automatic label is "White"
Comment 2 Aron Budea 2017-02-18 19:11:06 UTC
Confirmed in 5.3.0.3 / Windows 7. Works in 5.2.0.4 (this color picker is new in 5.3).
Comment 3 raal 2017-03-24 19:33:40 UTC
bibisect-linux-64-5.3$ 
bcdf4ea1ba4e6e9d1dbc89aec66fe57c89945634 is the first bad commit
commit bcdf4ea1ba4e6e9d1dbc89aec66fe57c89945634
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Nov 7 22:23:35 2016 +0100

    source sha:64a708cba9b954afe3331f63c58218eb53b3d0ce

author	Caolán McNamara <caolanm@redhat.com>	2016-11-05 20:28:27 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-11-07 21:04:50 (GMT)
commit	64a708cba9b954afe3331f63c58218eb53b3d0ce (patch)
tree	ddc1bea3b63f32a1c6d377c1d1dd7aee0803fb70
parent	f01c49c4a89ecad2376fd0023625186e5cac642e (diff)
Revert "Reverts a commit series that cripple windows ci."
This reverts commit db380aab1063e8a5e40111c40ee9f7921aa82601.


author	Norbert Thiebaud <nthiebaud@gmail.com>	2016-11-05 18:28:17 (GMT)
committer	Norbert Thiebaud <nthiebaud@gmail.com>	2016-11-05 18:42:40 (GMT)
commit	db380aab1063e8a5e40111c40ee9f7921aa82601 (patch)
tree	f5057dfb205a7d7409251742888dfeaf4bfbee61
parent	ee2144aafc5b4be14630f723be9a2bb674671412 (diff)
Reverts a commit series that cripple windows ci.
Revert "SvxShadowTabPage::Construct was removed"
 f9a2c1c12ecad833c63b894c89d6008907477eb5.
Revert "replace OColorPopup with SvxColorWindow"
 f300754bb1c6a347c92bb9548be7a65237176542.
Revert "drop AutoColorInvalid/SID_ATTR_AUTO_COLOR_INVALID"
 347c2c334589b18cc62af292674bb3df1dd54b71.
Revert "replace last ColorLB use with a listbox of colors"
 604b35bf55351751a396e34dcca3f85e75860fd5.
Revert "simplify, its just a vector of colors"
 351a97ce6bda3075677b59fa1387ba3d1ab17d7a.
Revert "replace user draw with an Image of the color"
 df738e0f8ceedb4bad756960be14d9c41adc165d.
Revert "strip down to the used pieces"
 commit 08d6cd788f2584ce10ab8fa10665245e953c59d9.
Revert "move now combined ColorLB to location of last user"
 a19b18ad7c9eb0197c10e6d7e451ec4542e4bc9e.
Revert "fold ColorListBox and ColorLB together"
 a989a0b1f2b425f05b58d0e44ce2de31c842ed65.
Revert "move ColorListBox beside sole thing that uses it"
 760a198e697f3070a5e0e029e4eff7be220eb9cd.
Revert "extensions leaks out details of Color Selector, patch it up"
 8bea644d6117a49405e6426dc97214220fc869d1.
Revert "inherit FillAttrLB from ListBox not ColorListBox"
 d2ce812f1d3a7a2aad89ca0bd11948b63d2db7b0.
Revert "unify color selectors"
 43bc3031483d172eccd72c3804e2d4fc2ef37de4.
Comment 4 Commit Notification 2017-03-29 16:06:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7f1a1689d70b2d66d0f727b6a898ef1a971da9d

Resolves: tdf#106080 fix explicitly setting automatic in search by format

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-03-30 07:55:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84f78392249c3749801acf238a99fda95311e01f

Related: tdf#106080 support a 'none' color in search by format

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2017-03-30 07:59:42 UTC
I think I'll just backport the first "safe" part that makes it as equally rubbish as the original case and leave the newer extra piece for master alone
Comment 7 Commit Notification 2017-04-05 14:54:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f75cf4c772279f680839e288b3f6104f9f98c13c&h=libreoffice-5-3

Resolves: tdf#106080 fix explicitly setting automatic in search by format

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.